/*
 * @(#)SSOExceptionTest.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package test.info.dragonlady.sso;

import info.dragonlady.sso.SSOException;
import junit.framework.TestCase;

/**
 * SSOException クラステストケース
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/10/23 13:52:19 $
 */
public class SSOExceptionTest extends TestCase {

	/**
	 * Constructor for SSOExceptionTest.
	 * @param arg0
	 */
	public SSOExceptionTest(String arg0) {
		super(arg0);
	}

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/*
	 * 'info.dragonlady.sso.SSOException.SSOException()' のためのテスト・メソッド
	 */
	public final void testSSOException() {
		try {
			new SSOException();
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * 'info.dragonlady.sso.SSOException.SSOException(String)' のためのテスト・メソッド
	 */
	public final void testSSOExceptionString() {
		try {
			String message = "message";
			new SSOException(message);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * 'info.dragonlady.sso.SSOException.SSOException(Throwable)' のためのテスト・メソッド
	 */
	public final void testSSOExceptionThrowable() {
		try {
			String message = "message";
			Exception e = new Exception("exception_message");
			new SSOException(message, e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

	/*
	 * 'info.dragonlady.sso.SSOException.SSOException(String, Throwable)' のためのテスト・メソッド
	 */
	public final void testSSOExceptionStringThrowable() {
		try {
			Exception e = new Exception("exception_message");
			new SSOException(e);
		} catch(Exception e) {
			assertTrue(e.toString(), false);
		}
	}

}
